Yii2.0框架下载安装 [基础教程]

作者:上班偷偷打酱油 发布于:2015-11-15 浏览:20086次 收藏

简介

Yii 是在BSD License下发布的一个开源项目。这意味着您能免费使用它开发开源或私有的 Web 应用程序。

Yii目前有两个主要的版本: 2.0 和 1.1。

Yii 2.0

Yii2的最新版本是 2.0.10,发布于 2016年10月20日。Yii 2.0 在 PHP 5.4.0 版本以上完全重写了Yii。它的目的是成为一个最先进的新一代的PHP开发框架。Yii2.0不兼容1.1。

有两种方式安装Yii 2:使用 Composer,或者下载一份应用程序模板。我们强烈建议您使用前者。

通过 Composer 安装

这是安装Yii2.0的首选方法。如果你还没有安装Composer,你可以按照这里的说明进行安装。

安装完Composer,运行下面的命令来安装Composer Asset插件:

php composer.phar global require "fxp/composer-asset-plugin:^1.2.0"

现在选择的应用程序模板之一,开始安装 Yii 2.0。应用程序模板是一个包含Yii写的骨架Web应用程序包。

  • 安装基本的应用程序模板,运行下面的命令:

    php composer.phar create-project yiisoft/yii2-app-basic basic 2.0.10
  • 安装高级的应用程序模板,运行下面的命令:

    php composer.phar create-project yiisoft/yii2-app-advanced advanced 2.0.10

请注意,您可能会被提示安装过程中输入你的 GitHub 的用户名和密码。这是正常的。只要输入它们并继续。

从归档文件安装

下载以下归档文件之一,然后将其解压缩到一个Web可访问的文件夹:

从旧版本升级

如果你是通过 composer 从 Yii 2.0.0 升级,只需要在您的项目根目录运行以下命令:

首先,确认您安装了最新版本的 Composer 资源插件

php composer.phar global require "fxp/composer-asset-plugin:~1.1.1"

然后升级 Yii 通过运行:

php composer.phar update yiisoft/yii2 yiisoft/yii2-composer bower-asset/jquery.inputmask

如果您使用存档文件安装 Yii,您应该下载最新版本的文件,解压并替换旧版本。

如果你是用存档文件安装的,你应该下载最新版本的文件,并解压新版本替换旧版本。

如果文章对您有所帮助,希望继续支持我们,您的支持是我们最大的动力 ¥打赏
标签: yii2.0 框架 安装 下载
声明:文章内容由作者原创或整理,未经允许,不得转载!
  • 评论于 2017-06-28 15:19:11

    下载链接打不开啊

    回复
  • 评论于 2017-02-07 15:33:34

    很不错的网站

    回复
  • 评论于 2016-03-10 22:40:47

    比较详细了。

    回复
您需要登录后才可以评论。登录 | 立即注册